Loading...
Searching...
No Matches
caf::detail::ini_consumer Class Reference

Consumes a series of dictionaries forming a application configuration. More...

`#include <ini_consumer.hpp>`

## Public Types

using | super = abstract_ini_consumer
using | config_map = dictionary<config_value::dictionary>

## Public Member Functions

| ini_consumer (const config_option_set &options, settings &cfg)
ini_category_consumer | begin_map ()
void | key (std::string name)
void | value_impl (config_value &&x) override

## Friends

class | ini_category_consumer

## Detailed Description

Consumes a series of dictionaries forming a application configuration.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/ini_consumer.hpp